compat: add tty_set_termios only for kernel >= 2.6.27